org.eclipse.january.dataset

## Class Operations.Negation

- java.lang.Object
- - org.eclipse.january.dataset.Operations.Negation

- All Implemented Interfaces:
    IOperation, UnaryOperation
  Enclosing class:
    Operations

      public static class Operations.Negation
      extends Object
      implements UnaryOperation

  Negation with boolean not

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.january.dataset.UnaryOperation

      `UnaryOperation.Stub`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Negation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanOperate(long a)`
    `void` | `complexOperate(double[] out, double ra, double ia)`
    `double` | `doubleOperate(double a)`
    `long` | `longOperate(long a)`
    `String` | `toString()`
    `String` | `toString(String a)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Negation

          public Negation()

  - ### Method Detail

    - #### booleanOperate

          public boolean booleanOperate(long a)

      Specified by:
        `booleanOperate` in interface `UnaryOperation`
      Parameters:
        `a` - single operand
      Returns:
        op(a)

    - #### longOperate

          public long longOperate(long a)

      Specified by:
        `longOperate` in interface `UnaryOperation`
      Parameters:
        `a` - single operand
      Returns:
        op(a)

    - #### doubleOperate

          public double doubleOperate(double a)

      Specified by:
        `doubleOperate` in interface `UnaryOperation`
      Parameters:
        `a` - single operand
      Returns:
        op(a)

    - #### complexOperate

          public void complexOperate(double[] out,
                                     double ra,
                                     double ia)

      Specified by:
        `complexOperate` in interface `UnaryOperation`
      Parameters:
        `out` - holds op(ra, ia)
        `ra` - real part of operand
        `ia` - imaginary part of operand

    - #### toString

          public String toString(String a)

      Specified by:
        `toString` in interface `UnaryOperation`
      Parameters:
        `a` - single operand
      Returns:
        op(a)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.